Send immediate campaign
curl --request POST \
--url https://api.creditor.younegotiate.com/communications/campaigns/send-now \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template_id": 10,
"group_id": 25,
"quote_token": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef"
}
'import requests
url = "https://api.creditor.younegotiate.com/communications/campaigns/send-now"
payload = {
"template_id": 10,
"group_id": 25,
"quote_token": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
template_id: 10,
group_id: 25,
quote_token: '0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef'
})
};
fetch('https://api.creditor.younegotiate.com/communications/campaigns/send-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Your campaign has been successfully created and is now being processed.",
"data": {
"id": 101,
"template_id": 10,
"group_id": 25,
"frequency": {
"value": "once",
"label": "Once"
},
"start_date": "2026-06-14",
"end_date": null,
"day_of_week": null,
"day_of_month": null,
"terms": "One time on Jun 14, 2026",
"is_run_immediately": true
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}Send immediate campaign
Charge the creditor EcoLetter cost, create an immediate campaign tracker snapshot, and queue EcoLetter delivery for the selected group. Requires a fresh quote token from POST /communications/campaigns/quote.
POST
/
communications
/
campaigns
/
send-now
Send immediate campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on July 20, 2026
Was this page helpful?
⌘I

